Multi-Currency Wallets
curl --request GET \
--url https://api.viarosandbox.com/v1/wallets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.viarosandbox.com/v1/wallets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.viarosandbox.com/v1/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.viarosandbox.com/v1/wallets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.viarosandbox.com/v1/wallets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.viarosandbox.com/v1/wallets")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.viarosandbox.com/v1/wallets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyBalance & Ledger
Multi-Currency Wallets
List and inspect individual multi-currency merchant wallets held across CEMAC, UEMOA, and East Africa.
GET
/
wallets
Multi-Currency Wallets
curl --request GET \
--url https://api.viarosandbox.com/v1/wallets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.viarosandbox.com/v1/wallets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.viarosandbox.com/v1/wallets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.viarosandbox.com/v1/wallets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.viarosandbox.com/v1/wallets"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.viarosandbox.com/v1/wallets")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.viarosandbox.com/v1/wallets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyPursar provides dedicated multi-currency wallets for businesses operating across borders. Each wallet isolates funds in its native currency (e.g.
XAF, XOF, GHS, KES, USD, EUR), preventing forced currency conversions and foreign exchange slippage.
Code Examples
curl -G https://api.viarosandbox.com/v1/wallets \
-u sk_test_uLsofsae3tB9Izwgeuy0Mxbh4JIxUPSG:
import requests
url = "https://api.viarosandbox.com/v1/wallets"
auth = ("sk_test_uLsofsae3tB9Izwgeuy0Mxbh4JIxUPSG", "")
response = requests.get(url, auth=auth)
print(response.json())
const axios = require('axios');
async function getWallets() {
const response = await axios.get('https://api.viarosandbox.com/v1/wallets', {
auth: {
username: 'sk_test_uLsofsae3tB9Izwgeuy0Mxbh4JIxUPSG',
password: ''
}
});
console.log(response.data);
}
getWallets();
Response
{
"object": "list",
"data": [
{
"id": "wal_xaf_cm01",
"object": "wallet",
"currency": "XAF",
"region": "CEMAC",
"balance": 1450000,
"available_balance": 1450000,
"pending_balance": 75000,
"status": "active",
"payout_schedule": "daily"
},
{
"id": "wal_xof_ci01",
"object": "wallet",
"currency": "XOF",
"region": "UEMOA",
"balance": 820000,
"available_balance": 820000,
"pending_balance": 0,
"status": "active",
"payout_schedule": "daily"
},
{
"id": "wal_ghs_gh01",
"object": "wallet",
"currency": "GHS",
"region": "Ghana",
"balance": 3500,
"available_balance": 3500,
"pending_balance": 0,
"status": "active",
"payout_schedule": "daily"
}
]
}

